Lunes, Agosto 08, 2022

PAPPL, un framework para el desarrollo de aplicaciones de impresión IPP Everywhere

pappl-512

Michael R Sweet, el autor original del sistema de impresión CUPS y quien después de dejar Apple pasó al desarrollo de la bifurcación CUPS del proyecto OpenPrinting, dio a conocer hace poco el lanzamiento de la nueva versión de PAPPL 1.1, el cual se posiciona como un nuevo marco para desarrollar aplicaciones de impresora CUPS basado en el protocolo IPP Everywhere y que se recomienda como reemplazo de los controladores de impresora tradicionales.

Dentro de los cambios y mejoras que se destacan de esta nueva versión, podremos encontrar por ejemplo el soporte para Windows 10 y Windows 11, asi como tambien el soporte para la configuración por Wi-Fi, entre otras cosas más.

Sobre PAPPL

Para quienes desconocen del marco PAPPL, deben saber que este se diseñó originalmente para admitir el sistema de impresión LPrint y los controladores Gutenprint, pero se puede utilizar para implementar la compatibilidad con cualquier impresora y controlador para imprimir en sistemas de escritorio, servidores y sistemas integrados.

Se espera que el PAPPL ayude a acelerar el avance de la tecnología IPP Everywhere en lugar de los controladores clásicos y simplifique el soporte para otros programas basados ​​en IPP como AirPrint y Mopria.

PAPPL incluye una implementación incorporada de IPP Everywhere, que proporciona los medios para acceder a las impresoras localmente o en la red y procesar las solicitudes de impresión.

IPP Everywhere funciona en modo «sin controlador» y, a diferencia de los controladores PPD, no requiere archivos de configuración estáticos. La interacción con las impresoras es compatible tanto directamente a través de una conexión de impresora local a través de USB, como el acceso a través de una red mediante los protocolos AppSocket y JetDirect. Los datos se pueden enviar a la impresora en formatos JPEG, PNG, PWG Raster, Apple Raster y «raw».

PAPPL se puede construir para sistemas operativos compatibles con POSIX, incluidos Linux, macOS, QNX y VxWorks. Las dependencias señaladas son Avahi 0.8 (para soporte mDNS / DNS-SD), CUPS 2.2, GNU TLS 3.0, JPEGLIB 9, LIBPNG 1.6, LIBPAM (para autenticación) y ZLIB 1.1.

Sobre la base de PAPPL, el proyecto OpenPrinting está desarrollando una aplicación de impresora PostScript universal que puede funcionar tanto con impresoras modernas compatibles con IPP (usando PAPPL) que admiten PostScript y Ghostscript, como con impresoras antiguas para las que hay controladores PPD disponibles (usando cups- filtros y libppd).

Principales novedades de PAPPL 1.1

En esta nueva versión de PAPPL 1.1 podremos encontrar que se agregó la capacidad de poder configurar a través de Wi-Fi, ademas de que ahora ya se cuenta con el soporte para poder acceder a una impresora usando el protocolo IPP-over-USB (IPP-USB).

Otro de los cambios que se destaca de la nueva versión, es que se ha implementado la búsqueda de controladores de impresora adecuados y que ademas se ha agregado la adición automática de funciones extendidas.

Tambien se destaca que se agregó el modo PAPPL_SOPTIONS_NO_TLS para deshabilitar el cifrado TLS, asi como tambien se agregaron botones y comandos para suspender y reanudar la impresora y se implementó una opción para habilitar la compresión.

De los demás cambios que se destacan de esta nueva versión:

  • Se agregó la API papplSystemSetAuthCallback para admitir mecanismos de autenticación alternativos.
  • Gestión simultánea mejorada de varias impresoras.
  • Soporte agregado para plataformas Windows 10 y 11.

Finalmente, para aquellos que estén interesados en poder conocer más al respecto de este proyecto, pueden consultar los detalles en el siguiente enlace.

Tambien vale la pena mencionar que el código del marco está escrito en C y se distribuye bajo la licencia Apache 2.0 con la excepción de que permite la vinculación con código bajo las licencias GPLv2 y LGPLv2.

¿Como instalar PAPPL en Ubuntu y derivados?

Para quienes estén interesados en poder instalar esta utilidad en su sistema, pueden hacerlo siguiendo las instrucciones que compartimos a continuación.

Lo primero que deben hacer es abrir una terminal y en ella van a teclear lo siguiente para poder instalar todas las dependencias necesarias:

sudo apt-get install build-essential libavahi-client-dev libcups2-dev \
libcupsimage2-dev libgnutls28-dev libjpeg-dev libpam-dev libpng-dev \
libusb-1.0-0-dev zlib1g-dev

Ahora vamos a descargar la última versión estable de PAPPL con:

wget https://github.com/michaelrsweet/pappl/releases/download/v1.1.0/pappl-1.1.0.zip

Descomprimen y proceden a compilar el codigo fuente con:

./configure
make

Y procedemos a instalar con:

 sudo make instal

Hecho esto, pueden consultar la documentación para que conozcas el uso de PAPPL en este enlace.

 

Fuente: ubunlog

¿Quién está en línea?

Hay 471 invitados y ningún miembro en línea

Contador de Visitas

13611228
Hoy Hoy 1317
Ayer Ayer 3489
Esta semana Esta semana 1317
Este mes Este mes 27138
Total de Visitas Total de Visitas 13611228

Día con más
visitantes

07-19-2022 : 4236

Gracias por su visita